Skip to content

Update Corporate Currency Fields

Currency is a field type available on all Vault objects. Whenever a user populates a local currency field value, Vault automatically populates the related corporate currency field value, except in the following scenarios:

  • Admins change the Corporate Currency setting for the vault
  • Admins update the Rate setting for the local currency used by a record

This endpoint updates the field_corp__sys field values of an object record based on the Rate of the currency, denoted by the local_currency__sys field of the specified record. Learn more about Currency Fields in Vault Help.

PUT/api/{version}/vobjects/{object_name}/actions/updatecorporatecurrency
NameDescription
Content-Typeapplication/json or text/csv
Acceptapplication/json (default) or application/xml
NameDescription
{object_name}The object name__v field value, for example, product__v.
curl -X PUT -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/json" \ -d "id=00P000000000301" \ https://myvault.veevavault.com/api/v22.2/vobjects/product__v/actions/updatecorporatecurrency
{ "responseStatus": "SUCCESS", "job_id": 81603, "url": "/api/v22.2/services/jobs/81603" }